# Consent proofs report glossary

In this article, we will cover the various parameters that are included in the consent proof report when it is downloaded onto your local machine.

{% hint style="info" %}
The downloaded consent proof report is currently only available in csv format
{% endhint %}

| Field                                  | Description                                                                                                                                                                     |
| -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `date`                                 | Date and time of the event.                                                                                                                                                     |
| `id`                                   | Unique ID of the event (consent)                                                                                                                                                |
| `type`                                 | Type of event, for example: consent.given                                                                                                                                       |
| `timestamp`                            | Unique timestamp of the event                                                                                                                                                   |
| `datetime`                             | Date & time of the event                                                                                                                                                        |
| `namespace`                            | Event namespace (sdks for SDK events)                                                                                                                                           |
| `rate`                                 | Sampling rate of the event.                                                                                                                                                     |
| `source`                               | The details of the source on which the consent was given.                                                                                                                       |
| `source.type`                          | Source type for the event. For example: sdk-web.                                                                                                                                |
| `source.domain`                        | Domain name of the source. For example: [www.webiste.fr](http://www.webiste.fr)                                                                                                 |
| `source.key`                           | The unique key that identify the source.                                                                                                                                        |
| `source.beacon`                        | Indicates the value true or false. True If the event is sent by the Navigator.sendBeacon() function, otherwise false.                                                           |
| `source.provider`                      | A provider is the ID of the clients which distributes API keys itself.                                                                                                          |
| `source.version`                       | Number of modifications made on this source.                                                                                                                                    |
| `user`                                 | Includes several information regarding the user.                                                                                                                                |
| `user.country`                         | Corresponds to the user's country code.                                                                                                                                         |
| `user.id`                              | Unique ID of the user.                                                                                                                                                          |
| `user.id_type`                         | Type of user ID (UUID).                                                                                                                                                         |
| `user.token`                           | The last consent choices of the user.                                                                                                                                           |
| `user.token.user_id`                   | Unique ID of the user.                                                                                                                                                          |
| `user.token.created`                   | Date and time the token was created.                                                                                                                                            |
| `user.token.updated`                   | Date and time the token was updated.                                                                                                                                            |
| `user.token.vendors.enabled`           | List of vendors the user enables the tracking.                                                                                                                                  |
| `user.token.vendors.disabled`          | List of vendors the user does not enable the tracking.                                                                                                                          |
| `user.token.purposes.enabled`          | List of the purposes the user enables the tracking.                                                                                                                             |
| `user.token.purposes.disabled`         | List of the purposes the user does not enable the tracking.                                                                                                                     |
| `user.agent`                           | Contains categories of information about the user's browser.                                                                                                                    |
| `user.agent_info`                      | Contains information about the user's browser.                                                                                                                                  |
| `user.agent_info.os_family`            | Operating system with which the user has given consent, e.g. Linux.                                                                                                             |
| `user.agent_info.os_version`           | The user's version of operating system.                                                                                                                                         |
| `user.agent_info.browser_family`       | Browser with which the user has given his consent, e.g. Chrome.                                                                                                                 |
| `user.agent_info.browser_version`      | The user's version of browser.                                                                                                                                                  |
| `user.regs`                            | Regulations according to the user location                                                                                                                                      |
| `user.region`                          | The user's State (if he's located in the US)                                                                                                                                    |
| `user.user_organization_id`            | Unique organization user ID (usually equal to an ID on the customer side).                                                                                                      |
| `user.tcfv`                            | Version of the [TCF](https://blog.didomi.io/en/google-tcf-v2-ad-manager-not-tcf-v2-compliant).                                                                                  |
| `user.tcfcs`                           | TCF consent string generated by the user.                                                                                                                                       |
| `parameters`                           | This field includes several information: **puposes** (enabled and disabled), **vendors** (enabled and disabled), **created**, **updated**, **from\_euconsent**, and **action**. |
| `parameters.purposes`                  | Gathers several information related to the purpose.                                                                                                                             |
| `parameters.purposes.enabled`          | List of enabled purposes.                                                                                                                                                       |
| `parameters.purposes.disabled`         | List of disabled purposes.                                                                                                                                                      |
| `parameters.purposes.vendors`          | Gathers several information related to the vendors.                                                                                                                             |
| `parameters.purposes.vendors.enabled`  | List of enabled vendors.                                                                                                                                                        |
| `parameters.purposes.vendors.disabled` | List of disabled vendors.                                                                                                                                                       |
| `parameters.purposes.created`          | Creation of the purpose.                                                                                                                                                        |
| `parameters.purposes.updated`          | Update of the purpose.                                                                                                                                                          |
| `parameters.purposes.from_euconsent`   | If user consent is created from IAB Token that was previously created in local storage/cookies (euconsent-v2) then it will be set to **true**, otherwise **false**.             |
| `parameters.action`                    | Source of the consent: **webview**, **click**, **navigate**, **scroll**, **external**.                                                                                          |
| `experiments`                          | Experiment ID                                                                                                                                                                   |
| `is_bot`                               | The event comes from a bot (or not)                                                                                                                                             |
| `datehour`                             | Date and time of the event                                                                                                                                                      |
| `apikey`                               | Account Public API Key                                                                                                                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.didomi.io/versions-and-proofs/consent-proofs-reports/consent-proofs-report-glossary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
